Subject: Re: Idea for windowlist handling

From: Tim Phipps <[email-masked]>
Date: Tue, 02 Apr 2002 14:57:59 +0100

[email-masked] wrote:
> Hi,
> 
> Key F11 A M Next (*) Focus
> 
> This doesn't work with FlipFocus, but the Focus command spoils the
> most-recently-focused order of the windowlist. Ideally, the wm should know
> when we cycled to a window that we want focused, and move it to the start
> of the list, in contrast to the windows we only had to 'cycle over' to get
> there.

I think it depends on what you want the one window list to do. For some 
purposes the most-recently-focused order is best (e.g. Alt-tab), for 
others the order of creation is best (e.g. Key F11 above). It may be 
that two lists are appropriate (same list, different linkages to get 
different order) but I like the way it is possible to order the 
windowlist with the mouse and then cycle around in a fixed order with 
the keyboard.

> To make this work, I had to do the following changes to Fvwm:
> Focus: don't alter the internal windowlist at all
>     This was not the case, instead the newly focused window was rotated to
>     front of the list. I eliminated this rotation (in function DoSetFocus
>     in focus.c). This doesn't seem to have any bad effects (The displayed
>     windowlist starts with the focused window anyway).
> 
Does FvwmWinList still match the WindowList menu?

> 2. I invented a new command "ReshuffleWindows". It puts the window to
> the front of the internal window list, just as FlipFocus does. In
> contrast to FlipFocus it works on already focused windows.

I think it might be better to make FlipFocus work on already focused 
windows rather than invent a new command, is this possible?

Cheers,
Tim.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]